package com.hw.dms.domain;

import com.hw.system.api.domain.SysFile;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

import java.util.List;

/**
 * 润滑知识库对象 dms_knowledge_lube
 *
 * @author caoql
 * @date 2024-02-26
 */
public class DmsKnowledgeLube extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long knowledgeLubeId;

    /** 经验编号 */
    @Excel(name = "经验编号")
    private String experienceCode;

    /** 设备类型ID，关联dms_base_device_type的device_type_id */
    @Excel(name = "设备类型ID，关联dms_base_device_type的device_type_id")
    private Long deviceTypeId;

    /** 润滑部位，关联dms_base_lube_station的lube_station_id */
    @Excel(name = "润滑部位，关联dms_base_lube_station的lube_station_id")
    private Long lubeStationId;

    /** 润滑标准 */
    @Excel(name = "润滑标准")
    private String protocolCode;

    /** 操作描述 */
    @Excel(name = "操作描述")
    private String operationsDescription;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private String isFlag;

    List<String> fileUrls;

    List<SysFile> systemFiles;

    List<BaseAttachInfo> attachments;

    public List<BaseAttachInfo> getAttachments() {
        return attachments;
    }

    public void setAttachments(List<BaseAttachInfo> attachments) {
        this.attachments = attachments;
    }

    public List<SysFile> getSystemFiles() {
        return systemFiles;
    }

    public void setSystemFiles(List<SysFile> systemFiles) {
        this.systemFiles = systemFiles;
    }

    public List<String> getFileUrls() {
        return fileUrls;
    }

    public void setFileUrls(List<String> fileUrls) {
        this.fileUrls = fileUrls;
    }

    public void setKnowledgeLubeId(Long knowledgeLubeId)
    {
        this.knowledgeLubeId = knowledgeLubeId;
    }

    public Long getKnowledgeLubeId()
    {
        return knowledgeLubeId;
    }
    public void setExperienceCode(String experienceCode)
    {
        this.experienceCode = experienceCode;
    }

    public String getExperienceCode()
    {
        return experienceCode;
    }
    public void setDeviceTypeId(Long deviceTypeId)
    {
        this.deviceTypeId = deviceTypeId;
    }

    public Long getDeviceTypeId()
    {
        return deviceTypeId;
    }
    public void setLubeStationId(Long lubeStationId)
    {
        this.lubeStationId = lubeStationId;
    }

    public Long getLubeStationId()
    {
        return lubeStationId;
    }
    public void setProtocolCode(String protocolCode)
    {
        this.protocolCode = protocolCode;
    }

    public String getProtocolCode()
    {
        return protocolCode;
    }
    public void setOperationsDescription(String operationsDescription)
    {
        this.operationsDescription = operationsDescription;
    }

    public String getOperationsDescription()
    {
        return operationsDescription;
    }
    public void setIsFlag(String isFlag)
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("knowledgeLubeId", getKnowledgeLubeId())
            .append("experienceCode", getExperienceCode())
            .append("deviceTypeId", getDeviceTypeId())
            .append("lubeStationId", getLubeStationId())
            .append("protocolCode", getProtocolCode())
            .append("operationsDescription", getOperationsDescription())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
